<template>
  <form action="/users" method="POST" class="form" v-on:submit="submitForm">
    <div class="form-group">
      <input
        type="text"
        v-model="user.name"
        name="name"
        class="form-control form-control-plaintext"
        minlength="4"
        placeholder="User name"
      />
    </div>
    <div class="form-group">
      <input
        type="email"
        v-model="user.email"
        name="email"
        placeholder="User email"
        minlength="11"
        class="form-control form-control-plaintext"
      />
    </div>
    <div class="form-group">
      <button type="submit" class="btn btn-primary">Add up</button>
    </div>
  </form>
</template>

<script>
import Axios from "axios";
export default {
  data() {
    return {
      user: {
          name: '',
          email: ''
      }
    };
  },
  methods: {
    submitForm: function(event) {
      event.preventDefault();
      event.stopPropagation();
      console.log($(event.target).length);
      console.log($(this).serializeArray());
      console.log($(event.target).serializeArray());
      $('div[role="alert"].alert-primary').addClass("d-none");
      $('div[role="alert"].alert-primary').addClass("d-none");

      Axios.post(
        $(event.target).attr("action"),
        $(event.target).serializeArray()
      )
        .then(response => {
          console.log("response ok");
          console.log($('div[role="alert"].alert-primary').length);
          $('div[role="alert"].alert-primary').toggleClass("d-none");
        })
        .catch(err => {
          $('div[role="alert"].alert-danger')
            .show()
            .toggleClass("d-none")
            .html(err);
        });
    }
  }
};
</script>